gavl

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

C gavl_audio_channels_t | Container for noninterleaved audio samples
C gavl_audio_format_t | Audio Format
C gavl_audio_frame_t | Generic container for audio samples
C gavl_audio_samples_t | Container for interleaved audio samples
C gavl_compression_info_t | Compression format
C gavl_dsp_funcs_t | Function table
C gavl_frame_table_t | Frame table structure
C gavl_metadata_t | Single metadata structure
C gavl_metadata_tag_t | Single metadata tag
C gavl_overlay_t | Overlay structure
C gavl_packet_t | Packet structure
C gavl_rectangle_f_t |
C gavl_rectangle_i_t |
C gavl_timecode_format_t | Timecode format
C gavl_video_format_s | Video format
C gavl_video_frame_t |